Hex 12 - INCORRECT placement & functionality: - hex"> Hex 12 - INCORRECT placement & functionality: - hex">
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001065VCMIMechanics - Battlespublic2012-09-01 23:122018-03-05 17:14
ReporterZamolxis 
Assigned ToDydzio 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version0.89 
Target VersionFixed in Version 
Summary0001065: H3-VCMI discrepancies regarding wall/turret sections which can be targeted (and related errors)
DescriptionSeeing a couple of reports of particular wallHex-related bugs (which I'll link here as "child"), I did a full comparative test H3-VCMI in regards to wall/turret parts that can be targeted. Looking at the hexes in the image attached, we have:

> Hex 12 - INCORRECT placement & functionality:
- hex 12 is the bottom of the upper turret, while in H3 the target area was above the 12-13 hexes: top of the turret, where the shooter is, marked in blue (wider than the size of a hex)
- we can target and destroy it even if Citadel isn't built, which is a useless move if no shooter (the hex cannot/shouldn't be used to pass through if destroyed)

> Hex 29, 62, 130, 182 - CORRECT

> Hex 45, 78, 112, 147 - INCORRECT target + bug:
- in VCMI it can be targeted, but in H3 not
- if we try to hit it, there is no shot or damage, unit turn is lost with system message saying "server encountered a problem: catapult tried to attack non-catapultable hex!" (probably similar for Cyclops' attack > didn't try yet)

> Hex 50 - PARTLY CORRECT placement, INCORRECT functionality + bug:
- the main turret does start somewhere at hex 50, but the in H3 it can be targeted on a way larger (rectangular) area, as marked in blue on the screenshot
- same as the turrets, we can target it even if Castle isn't build; Castle tower should only be a target when a defending shooter is in there
- if there is a shooter in there, we don't seem to be able to destroy it (Catapult projectile explodes somewhere at the bottom - wrong as well, and turret/shooter remain standing)

> Hex 95/96 - INCORRECT placement: VCMI sees 95 as the gate; it should be 96 instead (with broken gate animation, but that's another issue)

> Hex 183 - CORRECT placement, but INCORRECT functionality:
- lower turret should only become a target after Citadel is built
- we cannot destroy it (Catapult shoots but nothing happens)

Note on turrets: in general we shouldn't have a hex-related approach when defining the target area for them, as all 3 are of different sizes (and rectangular from what I noticed), depending on the available space around and their visible graphics (i.e.: for the upper & main turrets, as they're out of the hex grid where a creature may be, a more generous area was allocated in H3)
Steps To ReproduceTo summarize, the color codes in attachment represent:
- blue rectangles > turrets; should only be targeted as soon as Citadel, respectively Castle are built (condition missing in VCMI)
- green hexes > can be targeted and destroyed as soon as Fort is built (mostly fine in VCMI, except for 96, where the gate should be)
- red hexes > can be erroneously targeted in VCMI (95 is a misplacement of the gate, the others give a console soft error and catapult loses turn)
TagsNo tags attached.
Attached Filesjpg file icon Walls&Turrets-VCMI089.jpg [^] (77,962 bytes) 2012-09-02 00:15

- Relationships
parent of 0001014resolvedbeegee Catapult can't shoot on castle gate 
parent of 0000785closedTow using catapult on non-wall hex 
related to 0002246resolvedSXX Unpassable wall tile during siege 

-  Notes
(0004170)
beegee (developer)
2013-12-08 17:58

All problems mentioned above except turret handling have been fixed.
(0005957)
SXX (administrator)
2015-10-17 03:12

Just in case there is still issue that splash spells can be targeted at tiles outside of visible hex grid (like on 2nd (back) hex of Catapult).
(0006411)
SXX (administrator)
2016-02-09 13:46

Ok found one problem. In H3 second destructible wall is on hex 62 and not 78.
(0006840)
SXX (administrator)
2016-10-16 11:12

BTW we almost fixed this one, probably even fully fixed, but some very good testing is needed.
(0007480)
SXX (administrator)
2018-03-05 17:14

@dydzio if you can please confirm this is fixed.

- Issue History
Date Modified Username Field Change
2012-09-01 23:12 Zamolxis New Issue
2012-09-01 23:12 Zamolxis File Added: Walls&Turrets-VCMI089.jpg
2012-09-01 23:21 Zamolxis Steps to Reproduce Updated View Revisions
2012-09-01 23:30 Zamolxis Relationship added parent of 0001014
2012-09-01 23:31 Zamolxis Relationship added parent of 0000785
2012-09-02 00:15 Zamolxis File Deleted: Walls&Turrets-VCMI089.jpg
2012-09-02 00:15 Zamolxis File Added: Walls&Turrets-VCMI089.jpg
2012-09-02 00:25 Zamolxis Description Updated View Revisions
2012-09-02 00:25 Zamolxis Steps to Reproduce Updated View Revisions
2012-09-02 00:30 Zamolxis Description Updated View Revisions
2012-09-02 09:11 Zamolxis Summary H3-VCMI discrepancies regarding wall sections which can be targeted (and related errors) => H3-VCMI discrepancies regarding wall/turret sections which can be targeted (and related errors)
2012-09-03 08:02 Zamolxis Category GUI - Battles => Mechanics - Battles
2013-12-08 12:46 beegee Assigned To => beegee
2013-12-08 12:46 beegee Status new => assigned
2013-12-08 17:58 beegee Note Added: 0004170
2014-01-19 09:55 beegee Assigned To beegee =>
2015-10-17 03:12 SXX Note Added: 0005957
2016-01-29 20:40 SXX Assigned To => SXX
2016-02-09 13:46 SXX Note Added: 0006411
2016-02-13 15:53 SXX Relationship added related to 0002246
2016-10-16 11:12 SXX Note Added: 0006840
2018-03-05 17:13 SXX Assigned To SXX => Dydzio
2018-03-05 17:14 SXX Note Added: 0007480

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean